import request from '@/utils/request'

// 查询动态表单列表
export function listForm(query) {
  return request({
    url: '/dragform/form/list',
    method: 'get',
    params: query,
    baseURL: process.env.VUE_APP_BASE_API3
  })
}

// 查询动态表单详细
export function getForm(fId) {
  return request({
    url: '/dragform/form/' + fId,
    method: 'get',
    baseURL: process.env.VUE_APP_BASE_API3
  })
}

// 新增动态表单
export function addForm(data) {
  return request({
    url: '/dragform/form',
    method: 'post',
    data: data,
    baseURL: process.env.VUE_APP_BASE_API3
  })
}

// 修改动态表单
export function updateForm(data) {
  return request({
    url: '/dragform/form',
    method: 'put',
    data: data,
    baseURL: process.env.VUE_APP_BASE_API3
  })
}

// 删除动态表单
export function delForm(fId) {
  return request({
    url: '/dragform/form/' + fId,
    method: 'delete',
    baseURL: process.env.VUE_APP_BASE_API3
  })
}
